﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SampleAdvancedSearchAnonymousHandler.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.AdvancedSearch
{
    #region usings
    using System.Collections.Generic;
    using System.Web.Mvc;

    using Fruitmonitoring.Helper.HtmlExtensions.AdvancedSearch;
    using Fruitmonitoring.Infrastructure.Security;

    #endregion

    /// <summary>
    /// The sample advanced search anonymous handler.
    /// </summary>
    public class SampleAdvancedSearchAnonymousHandler : BaseSampleAdvancedSearchHandler, IAdvancedSearch
    {
        #region IAdvancedSearch Members
        /// <summary>
        /// The get search form partial path.
        /// </summary>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        public string GetSearchFormPartialPath()
        {
            return null;
        }

        /// <summary>
        /// The create filter items.
        /// </summary>
        /// <param name="searchForm">
        /// The search form.
        /// </param>
        /// <returns>
        /// The <see cref="List"/>.
        /// </returns>
        public List<AdvancedSearchFilterItem> CreateFilterItems(FormCollection searchForm)
        {
            return null;
        }

        /// <summary>
        /// The add view data for search form.
        /// </summary>
        /// <param name="viewData">
        /// The view data.
        /// </param>
        /// <param name="user">
        /// The user.
        /// </param>
        public void AddViewDataForSearchForm(ViewDataDictionary viewData, CustomMembershipUser user)
        {
        }
        #endregion
    }
}