﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="BackButtonExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.BackButton
{
    #region usings
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    #endregion

    /// <summary>
    /// Provides functions to build the html "back" button
    /// the button forwards the user to the page, defined in the action param.
    /// </summary>
    public class BackButtonExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "back" button.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="controller">
        /// Controller for the action.
        /// </param>
        /// <param name="action">
        /// Action which handles view for "back".
        /// </param>
        /// <returns>
        /// The "back" button html.
        /// </returns>
        public MvcHtmlString CreateBackButton(HtmlHelper htmlHelper, string controller, string action)
        {
            return null;
        }
        #endregion

        #endregion
    }
}