﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CompanyTypeCheckboxHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.CompanyTypeSelection
{
    #region usings
    using System.Collections.Generic;

    using Fruitmonitoring.Helper.Utility.ExtensionHelper;

    #endregion

    /// <summary>
    /// The company type checkbox helper.
    /// </summary>
    public class CompanyTypeCheckboxHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// Get list of company type ids from devexpress combobox.
        /// </summary>
        /// <param name="prefix">
        /// Combobox name prefix.
        /// </param>
        /// <returns>
        /// The <see cref="IEnumerable"/>.
        /// </returns>
        public static IEnumerable<string> getListOfCompanyTypeIds()
        {
            return null;
        }
        #endregion

        #region Static Fields
        // checkbox-list name of the companytype selection
        /// <summary>
        /// The cbl_companytype_name.
        /// </summary>
        public static readonly string cbl_companytype_name = "cb_companytype_name";

        // private wrapper for extension
        /// <summary>
        /// The _check box extension.
        /// </summary>
        private static readonly ICheckBoxListExtensionHelper _checkBoxExtension = new CheckBoxListExtensionHelper();
        #endregion
    }
}