﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="PeriodOfTimeSelectionExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.PeriodOfTimeSelection
{
    #region usings
    using System;
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    #endregion

    /// <summary>
    /// Provides functions to build the html "period of time selection".
    /// </summary>
    public class PeriodOfTimeSelectionExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "period of time selection" selection.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="controllerType">
        /// Type of the controller, which should handle the request.
        /// </param>
        /// <param name="gridViewId">
        /// Active gridview retialerCompanyId.
        /// </param>
        /// <returns>
        /// The "period of time selection" html.
        /// </returns>
        public MvcHtmlString CreatePeriodOfTimeSelection(HtmlHelper htmlHelper, Type controllerType, string gridViewId)
        {
            return null;
        }
        #endregion

        #endregion
    }
}