﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ResetLayoutButtonExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.ResetLayoutButton
{
    #region usings
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    #endregion

    /// <summary>
    /// Provides functions to build the html "reset layout" button
    /// the button loads the default settings for the gridview.
    /// </summary>
    public class ResetLayoutButtonExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "reset layout" button for adding a new dataset.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="controller">
        /// The controller.
        /// </param>
        /// <param name="action">
        /// The action.
        /// </param>
        /// <param name="gridViewId">
        /// The grid View Id.
        /// </param>
        /// <returns>
        /// The "reset layout" button html.
        /// </returns>
        public MvcHtmlString CreateResetLayoutButton(HtmlHelper htmlHelper, string controller, string action, string gridViewId)
        {
            return null;
        }
        #endregion

        #endregion
    }
}