﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SamplerUserSearchTemplates.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.SamplerUserSearch
{
    #region usings
    using System.Collections.Generic;

    using Fruitmonitoring.Helper.Utility;

    #endregion

    /// <summary>
    /// All available search fields.
    /// </summary>
    public enum SEARCHFIELDS
    {
        /// <summary>
        /// The sampleruserfirstname.
        /// </summary>
        SAMPLERUSERFIRSTNAME,

        /// <summary>
        /// The sampleruserlastname.
        /// </summary>
        SAMPLERUSERLASTNAME,

        /// <summary>
        /// The samplerusercompanyname.
        /// </summary>
        SAMPLERUSERCOMPANYNAME
    }

    /// <summary>
    /// The sampler user search templates.
    /// </summary>
    public static class SamplerUserSearchTemplates
    {
        #region Public Methods and Operators
        /// <summary>
        /// Returns a definition of the default search template.
        /// </summary>
        /// <returns>
        /// The <see cref="List"/>.
        /// </returns>
        public static List<SEARCHFIELDS> GetDefaultTemplate()
        {
            return null;
        }

        /// <summary>
        /// Returns a definition of the minimum search template.
        /// </summary>
        /// <returns>
        /// The <see cref="List"/>.
        /// </returns>
        public static List<SEARCHFIELDS> GetMinimumTemplate()
        {
            return null;
        }

        /// <summary>
        /// Get search template by fieldname.
        /// </summary>
        /// <param name="fieldName">
        /// </param>
        /// <returns>
        /// The <see cref="List"/>.
        /// </returns>
        public static List<SEARCHFIELDS> GetSearchTemplateByFieldName(string fieldName)
        {
            return null;
        }
        #endregion
    }
}