﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="RouterSoapClientHelper.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility.ExtensionHelper
{
    #region usings

    using GS1ServiceReference;

    #endregion

    /// <summary>
    /// The router soap client helper.
    /// </summary>
    public class GepirSoapClientHelper : IGepirSoapClientHelper
    {
        #region IRouterSoapClientHelper Members
        /// <summary>
        /// The get party by gln.
        /// </summary>
        /// <param name="requestHeaderType">
        /// The gepir requestHeaderType.
        /// </param>
        /// <param name="request">
        /// The webservice request.
        /// </param>
        /// <param name="response">
        /// The werbservice rsp.
        /// </param>
        /// <returns>
        /// A result code from the webservice.
        /// </returns>
        public GepirReturnCodeType GetPartyByGLN(RequestHeaderType requestHeaderType, getKeyLicensee request, out getKeyLicenseeResponse response)
        {
            response = new getKeyLicenseeResponse();
            return null;
        }
        #endregion
    }
}