﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="StoredProcedureHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Configuration;
    using System.Linq;

    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// The stored procedure helper.
    /// </summary>
    public class StoredProcedureHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// Get compsnies email address.
        /// </summary>
        /// <param name="db">
        /// Db entity.
        /// </param>
        /// <param name="companyGuid">
        /// Company id.
        /// </param>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        public static string GetCompaniesEMail(Entities db, Guid companyGuid)
        {
            return null;
        }

        /// <summary>
        /// Get companies country iso2 language code.
        /// </summary>
        /// <param name="db">
        /// Db entity.
        /// </param>
        /// <param name="companyGuid">
        /// Company id.
        /// </param>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        public static string GetCompanyISO2(Entities db, Guid companyGuid)
        {
            return null;
        }

        /// <summary>
        /// Get all sampleratings to a sample
        /// usage:
        /// get all Ratings: "companyId" = null and "showOnlyFM" = false
        /// get only FM Ratings: "companyId" = nll and "showOnlyFm" = true
        /// get all ratings for a company: "companyId" != null and "showOnlyFm" = false.
        /// </summary>
        /// <param name="db">
        /// Db entity.
        /// </param>
        /// <param name="sampleId">
        /// Sample id.
        /// </param>
        /// <param name="companyId">
        /// Users company id.
        /// </param>
        /// <param name="showOnlyFM">
        /// Get only fm ratings.
        /// </param>
        /// <returns>
        /// The <see cref="List"/>.
        /// </returns>
        public static List<USP_SampleRating_Sel_Result> GetSampleRatings(Entities db, Guid sampleId, Guid? companyId, bool showOnlyFM)
        {
            return null;
        }

        /// <summary>
        /// Get support email address.
        /// </summary>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        public static string GetSupportEMail()
        {
            return null;
        }
        #endregion
    }
}