﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CompanySearchExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.CompanySearch
{
    #region usings
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    using Fruitmonitoring.Helper.Utility;

    #endregion

    /// <summary>
    /// Provides functions to build the html company search popup
    /// the button opens a new popup to where you can search a company.
    /// </summary>
    public class CompanySearchExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "CompanySearch" popup.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="modelPropertyName">
        /// Name of the model property, that should bind to the company selection.
        /// </param>
        /// <param name="modelPropertyValue">
        /// Value of the model proterty.
        /// </param>
        /// <param name="companyTypes">
        /// Company types, that should be show in the gridview.
        /// </param>
        /// <param name="buttonEnabled">
        /// The button Enabled.
        /// </param>
        /// <returns>
        /// The "company search" button + popup html.
        /// </returns>
        public MvcHtmlString CreateCompanySearch(
            HtmlHelper htmlHelper,
            string modelPropertyName,
            string modelPropertyValue,
            List<DbGuidHelper.CompanyTypes> companyTypes,
            bool buttonEnabled)
        {
            return null;
        }
        #endregion

        #endregion
    }
}