﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="LanguageSwitcherExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.LanguageSwitcher
{
    #region usings
    using System;
    using System.Text;
    using System.Web;
    using System.Web.Mvc;

    #endregion

    /// <summary>
    /// Provides functions to build a html language switcher.
    /// </summary>
    public class LanguageSwitcherExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the complete language switcher, depends on the given settings.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="settings">
        /// Settings object.
        /// </param>
        /// <returns>
        /// The language switcher html.
        /// </returns>
        public MvcHtmlString CreateLanguageSwitcher(HtmlHelper htmlHelper, Action<LanguageSwitcherSettings> settings)
        {
            return null;
        }
        #endregion

        #endregion
    }
}