﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="PopupButtonExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.PopupButton
{
    #region usings
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    #endregion

    /// <summary>
    /// Provides functions to build a html "PopupButton".
    /// </summary>
    public class PopupButtonExtension
    {
        #region methods
        /// <summary>
        /// Builds the "cancel-PopupButton".
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="popupName">
        /// Name of the popup.
        /// </param>
        /// <param name="gridViewId">
        /// The popups gridview id.
        /// </param>
        /// <param name="formName">
        /// Id/name of the form which holds the inputs.
        /// </param>
        /// <param name="popupContentContainerName">
        /// Name of the content container in the popup (needed for automatic resizing action).
        /// </param>
        /// <returns>
        /// The "popupButton" html.
        /// </returns>
        public MvcHtmlString CreatePopupButtonGridViewSave(
            HtmlHelper htmlHelper,
            string popupName,
            string gridViewId,
            string formName,
            string popupContentContainerName)
        {
            return null;
        }

        /// <summary>
        /// Builds the "save-PopupButton".
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="popupName">
        /// Name of the popup.
        /// </param>
        /// <param name="gridViewId">
        /// The popups gridview id.
        /// </param>
        /// <returns>
        /// The "popupButton" html.
        /// </returns>
        public MvcHtmlString CreatePopupButtonGridViewCancel(HtmlHelper htmlHelper, string popupName, string gridViewId)
        {
            return null;
        }

        /// <summary>
        /// Builds the general "close-PopupButton".
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="popupName">
        /// Name of the popup.
        /// </param>
        /// <returns>
        /// The "popupButton" html.
        /// </returns>
        public MvcHtmlString CreatePopupButtonClose(HtmlHelper htmlHelper, string popupName)
        {
            return null;
        }

        /// <summary>
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="popupName">
        /// </param>
        /// <param name="actionUrl">
        /// The action Url.
        /// </param>
        /// <param name="fieldName">
        /// </param>
        /// <returns>
        /// The <see cref="MvcHtmlString"/>.
        /// </returns>
        internal MvcHtmlString CreatePopupButtonPrint(HtmlHelper htmlHelper, string popupName, string actionUrl, string fieldName)
        {
            return null;
        }
        #endregion
    }
}