﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ProductSelectionController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.ProductSelection
{
    #region usings
    using System;
    using System.Linq;
    using System.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Models;

    #endregion

    // interner oder Ajax aufgerufen grundsätzlich eingeloggte
    // Theoretisch nur Labor
    /// <summary>
    /// The product selection controller.
    /// </summary>
    public class ProductSelectionController : BaseGridViewController
    {
        #region Constructors and Destructors

        #region constructors
        /// <summary>
        /// Initializes a new instance of the <see cref="ProductSelectionController"/> class.
        /// constructor provides important informations to the view.
        /// </summary>
        /// <param name="controllerName">
        /// Name of the controller, which should handle the incomming gridview requests.
        /// </param>
        /// <param name="gridViewId">
        /// The unique gridview retialerCompanyId.
        /// </param>
        public ProductSelectionController()
            : base(GridViewHelper.PRODUCTSELECTIONCONTROLLERNAME, GridViewHelper.PRODUCTSELECTIONGRIDVIEWID, false, false)
        {
        }
        #endregion

        #endregion

        #region actionresults
        /// <summary>
        /// The grid view list view.
        /// </summary>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        public override ActionResult GridViewListView()
        {
            return null;
        }

        /// <summary>
        /// The grid view list view.
        /// </summary>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        public override ActionResult GridViewListViewInit()
        {
            return null;
        }

        /// <summary>
        /// The grid view list view.
        /// </summary>
        /// <param name="modelPropertyValue">
        /// The model property value.
        /// </param>
        /// <param name="modelPropertyName">
        /// The model property name.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        public ActionResult GridViewListView(string modelPropertyValue, string modelPropertyName)
        {
            return null;
        }

        /// <summary>
        /// Get the Product name by a given product id.
        /// </summary>
        /// <param name="productId">
        /// Product product id.
        /// </param>
        /// <returns>
        /// Product name.
        /// </returns>
        public string GetProductNameByRowId(Guid productId)
        {
            return null;
        }
        #endregion
    }
}