﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ProductSingleElementsManagementController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.ProductSingleElementsManagement
{
    #region

    #region usings
    using System;
    using System.Linq;
    using System.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;

    #endregion

    #endregion

    // interner oder Ajax aufgerufen grundsätzlich eingeloggte
    // Einschränkung Labor; Test Probe bearbeiten
    /// <summary>
    /// The product single elements management controller.
    /// </summary>
    public class ProductSingleElementsManagementController : BaseGridViewController
    {
        #region Constructors and Destructors

        #region constructors
        /// <summary>
        /// Initializes a new instance of the <see cref="ProductSingleElementsManagementController"/> class.
        /// constructor provides important informations to the view.
        /// </summary>
        /// <param name="controllerName">
        /// Name of the controller, which should handle the incomming gridview requests.
        /// </param>
        /// <param name="gridViewId">
        /// The unique gridview retialerCompanyId.
        /// </param>
        public ProductSingleElementsManagementController()
            : base(GridViewHelper.PRODUCTSINGLEELEMENTSMANAGEMENTCONTROLLERNAME, GridViewHelper.PRODUCTSINGLEELEMENTSMANAGEMENTGRIDVIEWID, false, false)
        {
        }
        #endregion

        #endregion

        #region actionresult
        /// <summary>
        /// The grid view list view.
        /// </summary>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        /// <exception cref="NotImplementedException">
        /// </exception>
        public override ActionResult GridViewListView()
        {
            return null;
        }

        /// <summary>
        /// The grid view list view.
        /// </summary>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        /// <exception cref="NotImplementedException">
        /// </exception>
        public override ActionResult GridViewListViewInit()
        {
            return null;
        }

        /// <summary>
        /// </summary>
        /// <param name="sampleId">
        /// The sample Id.
        /// </param>
        /// <param name="orderForm">
        /// The order Form.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        public ActionResult ProductSingleElementsGridViewListView(Guid sampleId, bool orderForm = false)
        {
            return null;
        }

        /// <summary>
        /// The add.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Add(ProductSingleElementsManagementAddModel model)
        {
            return null;
        }

        /// <summary>
        /// The delete.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <param name="sampleId">
        /// The sample id.
        /// </param>
        /// <param name="isOrderForm">
        /// The is order form.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        public ActionResult Delete(ProductSingleElementsManagementAddModel model, Guid sampleId, bool isOrderForm = false)
        {
            return null;
        }

        /// <summary>
        /// The edit.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit(ProductSingleElementsManagementAddModel model)
        {
            return null;
        }
        #endregion

        #region methods
        /// <summary>
        /// Cleanup the modelstate for the aliases. These values are not needed and will end up in duplicated error messages.
        /// </summary>
        private void cleanupModelState()
        {
        }

        /// <summary>
        /// Get delegate sp for add single element.
        /// </summary>
        /// <param name="model">
        /// </param>
        /// <param name="accountGuid">
        /// Needed for sample history
        /// </param>
        /// <returns>
        /// </returns>
        public DelegateAdd GetDelegateAdd(USP_SingleElements_Sel_Result model, Guid accountGuid)
        {
            return null;
        }

        /// <summary>
        /// The load view data.
        /// </summary>
        /// <param name="sampleId">
        /// The sample id.
        /// </param>
        /// <param name="orderForm">
        /// The order form.
        /// </param>
        private void loadViewData(Guid sampleId, bool orderForm)
        {
        }

        /// <summary>
        /// The load view data for form.
        /// </summary>
        /// <param name="sampleId">
        /// The sample id.
        /// </param>
        /// <param name="viewData">
        /// The view data.
        /// </param>
        public void loadViewDataForForm(Guid sampleId, ViewDataDictionary viewData)
        {
        }
        #endregion
    }
}