﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SortRowsHandlerExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.SortRowsHandler
{
    #region usings
    using System;
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    using Fruitmonitoring.Controllers.Interfaces;

    #endregion

    /// <summary>
    /// Provides functions to build the "sort rows" javascript.
    /// </summary>
    public class SortRowsHandlerExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "SortRowsHandler" javascript.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="controllerType">
        /// Type of the controller, which should handle the request.
        /// </param>
        /// <param name="gridViewId">
        /// Active gridview retialerCompanyId.
        /// </param>
        /// <returns>
        /// The "SortRowsHandler" javascript.
        /// </returns>
        public MvcHtmlString CreateSortRowsHandler(HtmlHelper htmlHelper, Type controllerType, string gridViewId)
        {
            return null;
        }
        #endregion

        #endregion
    }
}