﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ParameterHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.ParameterHelp
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Linq;

    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// The parameter helper.
    /// </summary>
    public class ParameterHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// Gets all parameters from db and adds the CAS to the (translated) name so it can be used in the full-text search in dropdrown list.
        /// </summary>
        /// <param name="Db">
        /// </param>
        /// <param name="parameterGroupId">
        /// Only parameters for a distinct parameter group (Untersuchungsumfang) - needed for ResultsManagement.
        /// </param>
        /// <param name="enabledOnly+">
        /// Select only enabled parameters.
        /// </param>
        /// <param name="selectedOnly">
        /// Only selected parameters (?) - Needed for ResultsManagement.
        /// </param>
        /// <returns>
        /// The <see cref="List"/>.
        /// </returns>
        public static List<USP_Parameter_Sel_Result> GetAllParametersWithCas(Entities Db, Guid? parameterGroupId, bool? enabledOnly, bool? selectedOnly)
        {
            return null;
        }
        #endregion
    }
}