﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CheckBoxExtensionHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility.ExtensionHelper
{
    #region usings
    using DevExpress.Web.Mvc;

    #endregion

    /// <summary>
    /// The CheckBoxExtensionHelper interface.
    /// </summary>
    public interface ICheckBoxExtensionHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// The get selected value.
        /// </summary>
        /// <param name="BoxName">
        /// The box name.
        /// </param>
        /// <typeparam name="T">
        /// </typeparam>
        /// <returns>
        /// The <see cref="T"/>.
        /// </returns>
        T GetSelectedValue<T>(string boxName);
        #endregion
    }

    /// <summary>
    /// The check box extension helper.
    /// </summary>
    public class CheckBoxExtensionHelper : ICheckBoxExtensionHelper
    {
        #region ICheckBoxExtensionHelper Members

        #region Public Methods and Operators
        /// <summary>
        /// The get selected value.
        /// </summary>
        /// <param name="boxName">
        /// The box name.
        /// </param>
        /// <typeparam name="T">
        /// </typeparam>
        /// <returns>
        /// The <see cref="T"/>.
        /// </returns>
        public T GetSelectedValue<T>(string boxName)
        {
            return default(T);
        }
        #endregion

        #endregion
    }
}