﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="FormsAuthenticationExtensionHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility.ExtensionHelper
{
    #region usings
    using System.Web.Security;

    #endregion

    /// <summary>
    /// The FormsAuthenticationExtensionHelper interface.
    /// </summary>
    public interface IFormsAuthenticationExtensionHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// The set auth cookie.
        /// </summary>
        /// <param name="UserName">
        /// The user name.
        /// </param>
        /// <param name="rememberMe">
        /// The remember me.
        /// </param>
        void SetAuthCookie(string UserName, bool rememberMe);

        /// <summary>
        /// The sign out.
        /// </summary>
        void SignOut();
        #endregion
    }

    /// <summary>
    /// The forms authentication extension helper.
    /// </summary>
    public class FormsAuthenticationExtensionHelper : IFormsAuthenticationExtensionHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// The set auth cookie.
        /// </summary>
        /// <param name="UserName">
        /// The user name.
        /// </param>
        /// <param name="rememberMe">
        /// The remember me.
        /// </param>
        public void SetAuthCookie(string UserName, bool rememberMe)
        {
        }

        /// <summary>
        /// The sign out.
        /// </summary>
        public void SignOut()
        {
        }
        #endregion
    }
}