﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CompanyTypeCheckboxHelperStub.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility.HelperStubs
{
    #region usings
    using System.Collections.Generic;

    using Fruitmonitoring.Helper.HtmlExtensions.CompanyTypeSelection;

    #endregion

    /// <summary>
    /// The CompanyTypeCheckboxHelperStub interface.
    /// </summary>
    public interface ICompanyTypeCheckboxHelperStub
    {
        #region Public Methods and Operators
        /// <summary>
        /// The get list of company type ids.
        /// </summary>
        /// <returns>
        /// The <see cref="IEnumerable"/>.
        /// </returns>
        IEnumerable<string> getListOfCompanyTypeIds();
        #endregion
    }

    /// <summary>
    /// The company type checkbox helper stub.
    /// </summary>
    public class CompanyTypeCheckboxHelperStub : ICompanyTypeCheckboxHelperStub
    {
        #region ICompanyTypeCheckboxHelperStub Members

        #region Public Methods and Operators
        /// <summary>
        /// The get list of company type ids.
        /// </summary>
        /// <returns>
        /// The <see cref="IEnumerable"/>.
        /// </returns>
        public IEnumerable<string> getListOfCompanyTypeIds()
        {
            return CompanyTypeCheckboxHelper.getListOfCompanyTypeIds();
        }
        #endregion

        #endregion
    }
}