﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="BooleanIsRequiredTrue.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Validation
{
    #region usings
    using System.ComponentModel.DataAnnotations;

    #endregion

    /// <summary>
    /// The boolean is required true.
    /// </summary>
    public class BooleanIsRequiredTrue : ValidationAttribute
    {
        #region Public Methods and Operators
        /// <summary>
        /// The is valid.
        /// </summary>
        /// <param name="value">
        /// The value.
        /// </param>
        /// <returns>
        /// The <see cref="bool"/>.
        /// </returns>
        public override bool IsValid(object value)
        {
            return false;
        }
        #endregion
    }
}